use pango::{prelude::FontMapExt, Font, FontDescription};
use pangocairo::FontMap;

pub trait FontExt {
    fn load_from_string(value: &str) -> Option<Font> {
        let fontmap = FontMap::default();
        let context = fontmap.create_context();
        let desc = FontDescription::from_string(value);
        fontmap.load_font(&context, &desc)
    }
}

impl FontExt for pango::Font {}
